For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginBook a Demo
  • Getting Started
    • Athena SDK Quickstart
  • Database API
    • Database Filters & CRUD
  • Python Guides
    • Build with Agents
    • Use Models Directly
    • Load Data Frames
    • Upload Files
    • Create Assets
    • Structured Output
    • Long-Running AOP Execution
  • TypeScript Guides
    • Build with Agents
    • Working with Assets
    • Use Models Directly
    • Execute AOPs
    • Sheets API
    • Browser JavaScript (ESM)
    • UI Registry (Assistant.js)
    • Upload Files
    • Create Assets
    • Structured Output
  • API Reference
      • GETCheck database status
      • GETList tables in database
      • GETRead rows from database table
      • POSTInsert rows into database table
      • DELDelete rows from database table
      • PATCHUpdate rows in database table
      • GETGet table schema (columns and types)
      • POSTExecute SQL against database
Logo
LoginBook a Demo
API ReferenceDatabases

Insert rows into database table

Beta
POST
https://api.athenaintel.com/api/v0/databases/:asset_id/data/:table_name
POST
/api/v0/databases/:asset_id/data/:table_name
$curl -X POST https://api.athenaintel.com/api/v0/databases/asset_id/data/table_name \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "email": "alice@example.com",
> "name": "Alice"
> },
> "return_representation": true
>}'
1{
2 "data": [
3 {
4 "email": "charlie@example.com",
5 "id": 3,
6 "name": "Charlie"
7 }
8 ]
9}
Insert one or more rows into a table.
Was this page helpful?
Previous

Delete rows from database table

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

asset_idstringRequired
table_namestringRequired

Request

This endpoint expects an object.
datamap from strings to any or list of maps from strings to anyRequired
Single row object or array of row objects to insert
return_representationbooleanOptionalDefaults to false
If true, return the inserted rows in the response

Response

Successful Response
datalist of maps from strings to any or null

Affected rows (returned when return_representation=true)

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
501
Not Implemented Error
503
Service Unavailable Error